{
    "parent": "minecraft:item/handheld_rod",
    "textures": {
      "layer0": "minecraft:item/carrot_on_a_stick"
    },
    "overrides": [
    {
        "predicate":{
            "custom_model_data":1
        },
        "model":"bedwars:state_1"
    },
    {
        "predicate":{
            "custom_model_data":2
        },
        "model":"bedwars:state_2"
    },
    {
        "predicate":{
            "custom_model_data":3
        },
        "model":"bedwars:compass"
    },
    {
        "predicate":{
            "custom_model_data":4
        },
        "model":"item/barrier"
    }
    ]  
}